Bug 18390 - screen -r sometimes fails
Summary: screen -r sometimes fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 09:42 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-08 10:27:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-10-05 09:42:14 UTC
Sometimes (sorry to be so vague) 'screen -r' will clear the terminal and
exit, leaving the tty raw.  'stty sane' and then 'screen -r' almost
invariably works, after that.  I haven't managed to reproduce it at will;
it just happens every so often.

Comment 1 Crutcher Dunnavant 2001-06-26 20:57:57 UTC
well, this helps.
reopen if this doesnt stop with 3.9.9

Comment 2 Tim Waugh 2001-06-27 14:40:44 UTC
Just happened again, with screen-3.9.9-1.


Comment 3 Tom Tromey 2001-12-12 19:14:13 UTC
I've seen this same problem with screen-3.9.9-3 on the alpha.
In my case, if I log out (I'm running screen on a remote box
I access via ssh) and then back in, it starts working.
(Do reports like this ever get reported back to the upstream maintainer?)


Comment 4 Phil Copeland 2002-08-12 19:20:28 UTC
heck, they rarely even get as far as the person the bug was xfered over to
without being notified! (I just came across this bugreport today)

Can you try out with 3.9.11-8 in rawhide for a while and let me know if it still
bails out horribly? I've never encountered this behaviour before in screen, and
I use it a LOT.

Thanks

Phil
=--=

Comment 5 Tim Waugh 2002-11-08 10:27:06 UTC
I haven't seen this in ages and ages.

Comment 6 Lon Hohberger 2002-11-11 17:04:39 UTC
Assuming fixed upstream and fixes are in current release.  Reopen if appears again.


Note You need to log in before you can comment on or make changes to this bug.